QwtIntervalSeriesData(3)

NAME
QwtIntervalSeriesData - Interface for iterating over an array of intervals.

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtArraySeriesData< QwtIntervalSample >.

  Public Member Functions
QwtIntervalSeriesData (const QVector< QwtIntervalSample > &=QVector< QwtIntervalSample >())
virtual QRectF boundingRect () const
Calculate the bounding rectangle.

  Additional Inherited Members

Detailed Description

Interface for iterating over an array of intervals.

Constructor & Destructor Documentation

  QwtIntervalSeriesData::QwtIntervalSeriesData (const QVector< QwtIntervalSample > & samples = QVector<QwtIntervalSample>())
Constructor

Parameters:
    samples Samples

Member Function Documentation

  QRectF QwtIntervalSeriesData::boundingRect () const [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
    Bounding rectangle

Implements QwtSeriesData< QwtIntervalSample >.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.